## org.gnu.gdk
Class GrabStatus

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.GrabStatus

public class GrabStatus
extends org.gnu.glib.Enum

Field Summary
`static GrabStatus` `ALREADY_GRABBED` The resource is actively grabbed by another client.
`static GrabStatus` `FROZEN` The resource is frozen by an active grab of another client.
`static GrabStatus` `INVALID_TIME` The resource was grabbed more recently than the specified time.
`static GrabStatus` `NOT_VIEWABLE` The grab window or the confineTo window are not viewable.
`static GrabStatus` `SUCCESS` The resource was successfully grabbed.

Method Summary
`GrabStatus` `and(GrabStatus other)`
`static GrabStatus` `intern(int value)`
`GrabStatus` `or(GrabStatus other)`
`boolean` `test(GrabStatus other)`
`GrabStatus` `xor(GrabStatus other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SUCCESS

    public static final GrabStatus SUCCESS

  The resource was successfully grabbed.

### ALREADY_GRABBED

    public static final GrabStatus ALREADY_GRABBED

  The resource is actively grabbed by another client.

### INVALID_TIME

    public static final GrabStatus INVALID_TIME

  The resource was grabbed more recently than the specified time.

### NOT_VIEWABLE

    public static final GrabStatus NOT_VIEWABLE

  The grab window or the confineTo window are not viewable.

### FROZEN

    public static final GrabStatus FROZEN

  The resource is frozen by an active grab of another client.

Method Detail

### intern

    public static GrabStatus intern(int value)

### or

    public GrabStatus or(GrabStatus other)

### and

    public GrabStatus and(GrabStatus other)

### xor

    public GrabStatus xor(GrabStatus other)

### test

    public boolean test(GrabStatus other)